
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>open_viewmin.filter_tree_plot.filter_formulas &#8212; open-ViewMin  documentation</title>
    
  <!-- Loaded before other Sphinx assets -->
  <link href="../../../../_static/styles/theme.css?digest=1999514e3f237ded88cf" rel="stylesheet">
<link href="../../../../_static/styles/pydata-sphinx-theme.css?digest=1999514e3f237ded88cf" rel="stylesheet">

    
  <link rel="stylesheet"
    href="../../../../_static/vendor/fontawesome/5.13.0/css/all.min.css">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../../../../_static/vendor/fontawesome/5.13.0/webfonts/fa-solid-900.woff2">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../../../../_static/vendor/fontawesome/5.13.0/webfonts/fa-brands-400.woff2">

    <link rel="stylesheet" type="text/css" href="../../../../_static/pygments.css" />
    <link rel="stylesheet" href="../../../../_static/styles/sphinx-book-theme.css?digest=62ba249389abaaa9ffc34bf36a076bdc1d65ee18" type="text/css" />
    <link rel="stylesheet" type="text/css" href="../../../../_static/graphviz.css" />
    
  <!-- Pre-loaded scripts that we'll load fully later -->
  <link rel="preload" as="script" href="../../../../_static/scripts/pydata-sphinx-theme.js?digest=1999514e3f237ded88cf">

    <script data-url_root="../../../../" id="documentation_options" src="../../../../_static/documentation_options.js"></script>
    <script src="../../../../_static/jquery.js"></script>
    <script src="../../../../_static/underscore.js"></script>
    <script src="../../../../_static/doctools.js"></script>
    <script src="../../../../_static/scripts/sphinx-book-theme.js?digest=f31d14ad54b65d19161ba51d4ffff3a77ae00456"></script>
    <link rel="index" title="Index" href="../../../../genindex.html" />
    <link rel="search" title="Search" href="../../../../search.html" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="docsearch:language" content="None">
    

    <!-- Google Analytics -->
    
  </head>
  <body data-spy="scroll" data-target="#bd-toc-nav" data-offset="60">
<!-- Checkboxes to toggle the left sidebar -->
<input type="checkbox" class="sidebar-toggle" name="__navigation" id="__navigation" aria-label="Toggle navigation sidebar">
<label class="overlay overlay-navbar" for="__navigation">
    <div class="visually-hidden">Toggle navigation sidebar</div>
</label>
<!-- Checkboxes to toggle the in-page toc -->
<input type="checkbox" class="sidebar-toggle" name="__page-toc" id="__page-toc" aria-label="Toggle in-page Table of Contents">
<label class="overlay overlay-pagetoc" for="__page-toc">
    <div class="visually-hidden">Toggle in-page Table of Contents</div>
</label>
<!-- Headers at the top -->
<div class="announcement header-item noprint"></div>
<div class="header header-item noprint"></div>

    
    <div class="container-fluid" id="banner"></div>

    

    <div class="container-xl">
      <div class="row">
          
<!-- Sidebar -->
<div class="bd-sidebar noprint" id="site-navigation">
    <div class="bd-sidebar__content">
        <div class="bd-sidebar__top"><div class="navbar-brand-box">
    <a class="navbar-brand text-wrap" href="../../../../index.html">
      
      
      
      <h1 class="site-logo" id="site-title">open-ViewMin  documentation</h1>
      
    </a>
</div><form class="bd-search d-flex align-items-center" action="../../../../search.html" method="get">
  <i class="icon fas fa-search"></i>
  <input type="search" class="form-control" name="q" id="search-input" placeholder="Search the docs ..." aria-label="Search the docs ..." autocomplete="off" >
</form><nav class="bd-links" id="bd-docs-nav" aria-label="Main">
    <div class="bd-toc-item active">
        <ul class="current nav bd-sidenav">
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../readme.html">
   Overview
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../filters-tree.html">
   Filters tree
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../calculations.html">
   Calculations
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../GUI-reference.html">
   GUI Reference
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../LICENSE.html">
   License
  </a>
 </li>
 <li class="toctree-l1 current active has-children">
  <a class="reference internal" href="../../../index.html">
   API Reference
  </a>
  <input checked="" class="toctree-checkbox" id="toctree-checkbox-1" name="toctree-checkbox-1" type="checkbox"/>
  <label for="toctree-checkbox-1">
   <i class="fas fa-chevron-down">
   </i>
  </label>
  <ul class="current">
   <li class="toctree-l2 current active has-children">
    <a class="reference internal" href="../../index.html">
     <code class="xref py py-mod docutils literal notranslate">
      <span class="pre">
       open_viewmin
      </span>
     </code>
    </a>
    <input checked="" class="toctree-checkbox" id="toctree-checkbox-2" name="toctree-checkbox-2" type="checkbox"/>
    <label for="toctree-checkbox-2">
     <i class="fas fa-chevron-down">
     </i>
    </label>
    <ul class="current">
     <li class="toctree-l3 current active has-children">
      <a class="reference internal" href="../index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.filter_tree_plot
        </span>
       </code>
      </a>
      <input checked="" class="toctree-checkbox" id="toctree-checkbox-3" name="toctree-checkbox-3" type="checkbox"/>
      <label for="toctree-checkbox-3">
       <i class="fas fa-chevron-down">
       </i>
      </label>
      <ul class="current">
       <li class="toctree-l4">
        <a class="reference internal" href="../filters/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.filters
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../utilities/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.utilities
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../widgets/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.widgets
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4 current active">
        <a class="current reference internal" href="#">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.filter_formulas
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../filter_tree_plot/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.filter_tree_plot
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../settings/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.settings
          </span>
         </code>
        </a>
       </li>
      </ul>
     </li>
     <li class="toctree-l3 has-children">
      <a class="reference internal" href="../../filter_tree_plot_Qt/index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.filter_tree_plot_Qt
        </span>
       </code>
      </a>
      <input class="toctree-checkbox" id="toctree-checkbox-4" name="toctree-checkbox-4" type="checkbox"/>
      <label for="toctree-checkbox-4">
       <i class="fas fa-chevron-down">
       </i>
      </label>
      <ul>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot_Qt/menus/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.menus
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot_Qt/widgets_Qt/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.widgets_Qt
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot_Qt/filter_tree_plot_Qt/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot_Qt/settings_Qt/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.settings_Qt
          </span>
         </code>
        </a>
       </li>
      </ul>
     </li>
     <li class="toctree-l3 has-children">
      <a class="reference internal" href="../../nematic/index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.nematic
        </span>
       </code>
      </a>
      <input class="toctree-checkbox" id="toctree-checkbox-5" name="toctree-checkbox-5" type="checkbox"/>
      <label for="toctree-checkbox-5">
       <i class="fas fa-chevron-down">
       </i>
      </label>
      <ul>
       <li class="toctree-l4">
        <a class="reference internal" href="../../nematic/jones/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.nematic.jones
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../nematic/nematic/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.nematic.nematic
          </span>
         </code>
        </a>
       </li>
      </ul>
     </li>
     <li class="toctree-l3">
      <a class="reference internal" href="../../open_viewmin/index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.open_viewmin
        </span>
       </code>
      </a>
     </li>
    </ul>
   </li>
  </ul>
 </li>
</ul>

    </div>
</nav></div>
        <div class="bd-sidebar__bottom">
             <!-- To handle the deprecated key -->
            
            <div class="navbar_extra_footer">
            Theme by the <a href="https://ebp.jupyterbook.org">Executable Book Project</a>
            </div>
            
        </div>
    </div>
    <div id="rtd-footer-container"></div>
</div>


          


          
<!-- A tiny helper pixel to detect if we've scrolled -->
<div class="sbt-scroll-pixel-helper"></div>
<!-- Main content -->
<div class="col py-0 content-container">
    
    <div class="header-article row sticky-top noprint">
        



<div class="col py-1 d-flex header-article-main">
    <div class="header-article__left">
        
        <label for="__navigation"
  class="headerbtn"
  data-toggle="tooltip"
data-placement="right"
title="Toggle navigation"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-bars"></i>
  </span>

</label>

        
    </div>
    <div class="header-article__right">
<button onclick="toggleFullScreen()"
  class="headerbtn"
  data-toggle="tooltip"
data-placement="bottom"
title="Fullscreen mode"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-expand"></i>
  </span>

</button>

<div class="menu-dropdown menu-dropdown-download-buttons">
  <button class="headerbtn menu-dropdown__trigger"
      aria-label="Download this page">
      <i class="fas fa-download"></i>
  </button>
  <div class="menu-dropdown__content">
    <ul>
      <li>
        <a href="../../../../_sources/api/open_viewmin/filter_tree_plot/filter_formulas/index.rst.txt"
   class="headerbtn"
   data-toggle="tooltip"
data-placement="left"
title="Download source file"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-file"></i>
  </span>
<span class="headerbtn__text-container">.rst</span>
</a>

      </li>
      
      <li>
        
<button onclick="printPdf(this)"
  class="headerbtn"
  data-toggle="tooltip"
data-placement="left"
title="Print to PDF"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-file-pdf"></i>
  </span>
<span class="headerbtn__text-container">.pdf</span>
</button>

      </li>
      
    </ul>
  </div>
</div>
<label for="__page-toc"
  class="headerbtn headerbtn-page-toc"
  
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-list"></i>
  </span>

</label>

    </div>
</div>

<!-- Table of contents -->
<div class="col-md-3 bd-toc show noprint">
    <div class="tocsection onthispage pt-5 pb-3">
        <i class="fas fa-list"></i> Contents
    </div>
    <nav id="bd-toc-nav" aria-label="Page">
        <ul class="visible nav section-nav flex-column">
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#module-contents">
   Module Contents
  </a>
  <ul class="nav section-nav flex-column">
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#classes">
     Classes
    </a>
    <ul class="nav section-nav flex-column">
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula">
       FilterFormula
      </a>
      <ul class="nav section-nav flex-column">
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.__getitem__">
         __getitem__
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.__repr__">
         __repr__
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.__setitem__">
         __setitem__
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula._interpret_color_or_scalars">
         _interpret_color_or_scalars
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula._remove_bad_mesh_kwargs">
         _remove_bad_mesh_kwargs
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula._update_actor_color_array">
         _update_actor_color_array
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula._update_actor_solid_color">
         _update_actor_solid_color
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.actor">
         actor
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.add_filter">
         add_filter
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.add_glyphs">
         add_glyphs
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.array_names">
         array_names
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.get_auto_color">
         get_auto_color
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.get_centroids">
         get_centroids
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.get_circuits">
         get_circuits
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.get_eigenvec">
         get_eigenvec
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.give_colorbar_unique_title">
         give_colorbar_unique_title
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.handle_filter_or_numpy">
         handle_filter_or_numpy
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.identity_callable">
         identity_callable
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.is_filter_tree_root">
         is_filter_tree_root
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.is_glyphs">
         is_glyphs
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.make_sure_parent_knows_about_me">
         make_sure_parent_knows_about_me
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.mesh">
         mesh
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.parent_mesh">
         parent_mesh
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.points">
         points
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.random">
         random
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.remove_child_relationship_to_all_parents">
         remove_child_relationship_to_all_parents
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.remove_colorbar">
         remove_colorbar
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.set">
         set
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.set_glyph_shape">
         set_glyph_shape
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.set_glyphs_scale">
         set_glyphs_scale
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.set_glyphs_stride">
         set_glyphs_stride
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.string_to_filter">
         string_to_filter
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.update">
         update
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.update_actor">
         update_actor
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.update_children">
         update_children
        </a>
       </li>
      </ul>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula">
       WidgetFormula
      </a>
      <ul class="nav section-nav flex-column">
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.apply">
         apply
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.check_existing_widget_configuration">
         check_existing_widget_configuration
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.get_creator_func">
         get_creator_func
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.get_widget">
         get_widget
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.set_color">
         set_color
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.set_outline_visibility">
         set_outline_visibility
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.update">
         update
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.widget">
         widget
        </a>
       </li>
      </ul>
     </li>
    </ul>
   </li>
  </ul>
 </li>
</ul>

    </nav>
</div>
    </div>
    <div class="article row">
        <div class="col pl-md-3 pl-lg-5 content-container">
            <!-- Table of contents that is only displayed when printing the page -->
            <div id="jb-print-docs-body" class="onlyprint">
                <h1>open_viewmin.filter_tree_plot.filter_formulas</h1>
                <!-- Table of contents -->
                <div id="print-main-content">
                    <div id="jb-print-toc">
                        
                        <div>
                            <h2> Contents </h2>
                        </div>
                        <nav aria-label="Page">
                            <ul class="visible nav section-nav flex-column">
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#module-contents">
   Module Contents
  </a>
  <ul class="nav section-nav flex-column">
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#classes">
     Classes
    </a>
    <ul class="nav section-nav flex-column">
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula">
       FilterFormula
      </a>
      <ul class="nav section-nav flex-column">
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.__getitem__">
         __getitem__
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.__repr__">
         __repr__
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.__setitem__">
         __setitem__
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula._interpret_color_or_scalars">
         _interpret_color_or_scalars
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula._remove_bad_mesh_kwargs">
         _remove_bad_mesh_kwargs
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula._update_actor_color_array">
         _update_actor_color_array
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula._update_actor_solid_color">
         _update_actor_solid_color
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.actor">
         actor
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.add_filter">
         add_filter
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.add_glyphs">
         add_glyphs
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.array_names">
         array_names
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.get_auto_color">
         get_auto_color
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.get_centroids">
         get_centroids
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.get_circuits">
         get_circuits
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.get_eigenvec">
         get_eigenvec
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.give_colorbar_unique_title">
         give_colorbar_unique_title
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.handle_filter_or_numpy">
         handle_filter_or_numpy
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.identity_callable">
         identity_callable
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.is_filter_tree_root">
         is_filter_tree_root
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.is_glyphs">
         is_glyphs
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.make_sure_parent_knows_about_me">
         make_sure_parent_knows_about_me
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.mesh">
         mesh
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.parent_mesh">
         parent_mesh
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.points">
         points
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.random">
         random
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.remove_child_relationship_to_all_parents">
         remove_child_relationship_to_all_parents
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.remove_colorbar">
         remove_colorbar
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.set">
         set
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.set_glyph_shape">
         set_glyph_shape
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.set_glyphs_scale">
         set_glyphs_scale
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.set_glyphs_stride">
         set_glyphs_stride
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.string_to_filter">
         string_to_filter
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.update">
         update
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.update_actor">
         update_actor
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.update_children">
         update_children
        </a>
       </li>
      </ul>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula">
       WidgetFormula
      </a>
      <ul class="nav section-nav flex-column">
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.apply">
         apply
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.check_existing_widget_configuration">
         check_existing_widget_configuration
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.get_creator_func">
         get_creator_func
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.get_widget">
         get_widget
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.set_color">
         set_color
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.set_outline_visibility">
         set_outline_visibility
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.update">
         update
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.widget">
         widget
        </a>
       </li>
      </ul>
     </li>
    </ul>
   </li>
  </ul>
 </li>
</ul>

                        </nav>
                    </div>
                </div>
            </div>
            <main id="main-content" role="main">
                
              <div>
                
  <section id="module-open_viewmin.filter_tree_plot.filter_formulas">
<span id="open-viewmin-filter-tree-plot-filter-formulas"></span><h1><a class="reference internal" href="#module-open_viewmin.filter_tree_plot.filter_formulas" title="open_viewmin.filter_tree_plot.filter_formulas"><code class="xref py py-mod docutils literal notranslate"><span class="pre">open_viewmin.filter_tree_plot.filter_formulas</span></code></a><a class="headerlink" href="#module-open_viewmin.filter_tree_plot.filter_formulas" title="Permalink to this headline">#</a></h1>
<p>Define classes for reusable PyVista filters and widgets, which can be
re-applied in the Plotter based on changes to other meshes.</p>
<section id="module-contents">
<h2>Module Contents<a class="headerlink" href="#module-contents" title="Permalink to this headline">#</a></h2>
<section id="classes">
<h3>Classes<a class="headerlink" href="#classes" title="Permalink to this headline">#</a></h3>
<table class="autosummary longtable table autosummary">
<colgroup>
<col style="width: 10%" />
<col style="width: 90%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><a class="reference internal" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula" title="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula"><code class="xref py py-obj docutils literal notranslate"><span class="pre">FilterFormula</span></code></a></p></td>
<td><p></p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula" title="open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula"><code class="xref py py-obj docutils literal notranslate"><span class="pre">WidgetFormula</span></code></a></p></td>
<td><p></p></td>
</tr>
</tbody>
</table>
<dl class="py class">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">open_viewmin.filter_tree_plot.filter_formulas.</span></span><span class="sig-name descname"><span class="pre">FilterFormula</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">plotter</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">parent_mesh_name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">filter_callable</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">filter_kwargs</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mesh_kwargs</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">random</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">has_actor</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">True</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">in_place</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">ovm_info</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">widget_name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">apply_upon_creation</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">True</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">children</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">colorbar</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">extra_filter_kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula" title="Permalink to this definition">#</a></dt>
<dd><dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.__getitem__">
<span class="sig-name descname"><span class="pre">__getitem__</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">key</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.__getitem__" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.__repr__">
<span class="sig-name descname"><span class="pre">__repr__</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.__repr__" title="Permalink to this definition">#</a></dt>
<dd><p>Return repr(self).</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.__setitem__">
<span class="sig-name descname"><span class="pre">__setitem__</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">key</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">set_to</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.__setitem__" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula._interpret_color_or_scalars">
<span class="sig-name descname"><span class="pre">_interpret_color_or_scalars</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mesh_kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula._interpret_color_or_scalars" title="Permalink to this definition">#</a></dt>
<dd><p>Check if mesh coloring should be updated as a solid color or
color array.</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula._remove_bad_mesh_kwargs">
<span class="sig-name descname"><span class="pre">_remove_bad_mesh_kwargs</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mesh_kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula._remove_bad_mesh_kwargs" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula._update_actor_color_array">
<span class="sig-name descname"><span class="pre">_update_actor_color_array</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula._update_actor_color_array" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula._update_actor_solid_color">
<span class="sig-name descname"><span class="pre">_update_actor_solid_color</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula._update_actor_solid_color" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.actor">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">actor</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.actor" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.add_filter">
<span class="sig-name descname"><span class="pre">add_filter</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">filter_callable</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.add_filter" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.add_glyphs">
<span class="sig-name descname"><span class="pre">add_glyphs</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.add_glyphs" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.array_names">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">array_names</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.array_names" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.get_auto_color">
<span class="sig-name descname"><span class="pre">get_auto_color</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.get_auto_color" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.get_centroids">
<span class="sig-name descname"><span class="pre">get_centroids</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">num_centroids</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">10</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">ref_pt_idx</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">0</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mesh_name_to_probe</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.get_centroids" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.get_circuits">
<span class="sig-name descname"><span class="pre">get_circuits</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mesh_to_probe_name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">normals_name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">radius</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">3</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">n_samples</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">100</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">use_ints</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.get_circuits" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.get_eigenvec">
<span class="sig-name descname"><span class="pre">get_eigenvec</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">tensors_name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">evec_idx</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">-</span> <span class="pre">1</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">new_dataset_name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.get_eigenvec" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.give_colorbar_unique_title">
<span class="sig-name descname"><span class="pre">give_colorbar_unique_title</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.give_colorbar_unique_title" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.handle_filter_or_numpy">
<em class="property"><span class="pre">static</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">handle_filter_or_numpy</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">filter_result</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">parent_mesh</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">filter_name</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.handle_filter_or_numpy" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.identity_callable">
<em class="property"><span class="pre">static</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">identity_callable</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">mesh</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.identity_callable" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.is_filter_tree_root">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">is_filter_tree_root</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.is_filter_tree_root" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.is_glyphs">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">is_glyphs</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.is_glyphs" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.make_sure_parent_knows_about_me">
<span class="sig-name descname"><span class="pre">make_sure_parent_knows_about_me</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.make_sure_parent_knows_about_me" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.mesh">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">mesh</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.mesh" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.parent_mesh">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">parent_mesh</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.parent_mesh" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.points">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">points</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.points" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.random">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">random</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.random" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.remove_child_relationship_to_all_parents">
<span class="sig-name descname"><span class="pre">remove_child_relationship_to_all_parents</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.remove_child_relationship_to_all_parents" title="Permalink to this definition">#</a></dt>
<dd><p>Cause any meshes claiming this mesh as a child to forget that
relationship, a prerequisite for deleting this mesh.</p>
<dl class="field-list simple">
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>None</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.remove_colorbar">
<span class="sig-name descname"><span class="pre">remove_colorbar</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.remove_colorbar" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.set">
<span class="sig-name descname"><span class="pre">set</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">mesh_kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.set" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.set_glyph_shape">
<span class="sig-name descname"><span class="pre">set_glyph_shape</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">new_shape</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">geom_args</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.set_glyph_shape" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.set_glyphs_scale">
<span class="sig-name descname"><span class="pre">set_glyphs_scale</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">new_scale</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.set_glyphs_scale" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.set_glyphs_stride">
<span class="sig-name descname"><span class="pre">set_glyphs_stride</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">new_stride</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.set_glyphs_stride" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.string_to_filter">
<em class="property"><span class="pre">static</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">string_to_filter</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">filter_string</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.string_to_filter" title="Permalink to this definition">#</a></dt>
<dd><p>Convert string name of PyVista filter to a callable that produces that
filter. If the argument is not a string, return the argument (for cases
where the filter callable is passed rather than its string name).</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>filter_string</strong> (<em>str</em><em> or </em><em>object</em>) – </p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><ul class="simple">
<li><p><em>callable()</em> – Function mapping existing mesh to a new mesh via the named filter.</p></li>
<li><p><em>object</em> – If <cite>filter_string</cite> is not a string, returns <cite>filter_string</cite></p></li>
</ul>
</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.update">
<span class="sig-name descname"><span class="pre">update</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">update_actor</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">True</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">ovm_info</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">filter_kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.update" title="Permalink to this definition">#</a></dt>
<dd><p>Update a mesh by calling its creator filter</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.update_actor">
<span class="sig-name descname"><span class="pre">update_actor</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">mesh_kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.update_actor" title="Permalink to this definition">#</a></dt>
<dd><p>Update or create an actor by generating it anew based on its
parent mesh.</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.update_children">
<span class="sig-name descname"><span class="pre">update_children</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.FilterFormula.update_children" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">open_viewmin.filter_tree_plot.filter_formulas.</span></span><span class="sig-name descname"><span class="pre">WidgetFormula</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">plotter</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mesh_name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">enabled</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">True</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">callback</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">creator</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">configure</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">widget_args</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula" title="Permalink to this definition">#</a></dt>
<dd><dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.apply">
<span class="sig-name descname"><span class="pre">apply</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.apply" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.check_existing_widget_configuration">
<span class="sig-name descname"><span class="pre">check_existing_widget_configuration</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.check_existing_widget_configuration" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.get_creator_func">
<span class="sig-name descname"><span class="pre">get_creator_func</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.get_creator_func" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.get_widget">
<span class="sig-name descname"><span class="pre">get_widget</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.get_widget" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.set_color">
<span class="sig-name descname"><span class="pre">set_color</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">widget_color</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.set_color" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.set_outline_visibility">
<span class="sig-name descname"><span class="pre">set_outline_visibility</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">visibility</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.set_outline_visibility" title="Permalink to this definition">#</a></dt>
<dd><p>Set visibility of a widget’s box outline</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>visibility</strong> (<em>int</em>) – Make outline visible unless <cite>visibility</cite> equals 0.</p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p>None</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.update">
<span class="sig-name descname"><span class="pre">update</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.update" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.widget">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">widget</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot.filter_formulas.WidgetFormula.widget" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

</dd></dl>

</section>
</section>
</section>


              </div>
              
            </main>
            <footer class="footer-article noprint">
                
    <!-- Previous / next buttons -->
<div class='prev-next-area'>
</div>
            </footer>
        </div>
    </div>
    <div class="footer-content row">
        <footer class="col footer"><p>
  
    By Daniel Beller<br/>
  
      &copy; Copyright 2022, Daniel Beller.<br/>
</p>
        </footer>
    </div>
    
</div>


      </div>
    </div>
  
  <!-- Scripts loaded after <body> so the DOM is not blocked -->
  <script src="../../../../_static/scripts/pydata-sphinx-theme.js?digest=1999514e3f237ded88cf"></script>


  </body>
</html>